gnutls_x509_crt_get_pk_rsa_raw(3)

NAME
gnutls_x509_crt_get_pk_rsa_raw - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_pk_rsa_raw(gnutls_x509_crt_t crt, gnutls_datum_t * m, gnutls_datum_t * e);

ARGUMENTS

gnutls_x509_crt_t crt
    Holds the certificate

gnutls_datum_t * m
    will hold the modulus

gnutls_datum_t * e
    will hold the public exponent

DESCRIPTION
This function will export the RSA public key's parameters found in the given structure. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/